## NAME

CURLOPT_PROXYPASSWORD - password to use with proxy authentication

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYPASSWORD, char *pwd);

## DESCRIPTION

Pass a char * as parameter, which should be pointing to the zero terminated password to use for authentication with the proxy.

The CURLOPT_PROXYPASSWORD option should be used in conjunction with the CURLOPT_PROXYUSERNAME option.

## DEFAULT

blank

## PROTOCOLS

Most

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.19.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_PASSWORD, CURLOPT_PROXYUSERNAME, CURLOPT_HTTPAUTH, CURLOPT_PROXYAUTH

This HTML page was made with roffit.